{
  "$schema": "https://schema.tauri.app/config/2",
  "productName": "FlightTube",
  "version": "0.1.0",
  "identifier": "com.vincent.flighttube",
  "build": {
    "beforeDevCommand": "npm run dev",
    "devUrl": "http://localhost:1420",
    "beforeBuildCommand": "npm run build",
    "frontendDist": "../dist"
  },
  "app": {
    "windows": [
      {
        "title": "FlightTube",
        "width": 1320,
        "height": 820,
        "minWidth": 1080,
        "minHeight": 620,
        "center": true,
        "titleBarStyle": "Overlay",
        "hiddenTitle": true
      }
    ],
    "security": {
      "csp": null,
      "assetProtocol": {
        "enable": true,
        "scope": [
          "$HOME/Movies/FlightTube/**",
          "$APPDATA/**",
          "$APPLOCALDATA/**"
        ]
      }
    },
    "macOSPrivateApi": true
  },
  "bundle": {
    "active": true,
    "targets": [
      "app"
    ],
    "icon": [
      "icons/32x32.png",
      "icons/128x128.png",
      "icons/128x128@2x.png",
      "icons/icon.icns",
      "icons/icon.ico"
    ],
    "externalBin": [
      "binaries/ffmpeg",
      "binaries/ffprobe"
    ],
    "resources": {
      "resources/python": "python",
      "resources/yt-dlp.pyz": "yt-dlp.pyz"
    }
  }
}
